Create a holding Run in API Explorer
Ask AI
Body
-
The name of the fund for the holding.
-
The reference of the holding/fund.
-
The provider of the holding/fund.
-
The sector of the holding/fund.
-
The SEDOL of the holding/fund.
-
The ISIN of the holding/fund.
-
The CITI of the holding/fund.
-
The units of the holding
-
The current price of the units in pennies.
-
The current price of the units in it's raw format with decimals.
-
The original purchase price of the holding in pennies.
-
The currency of the holding.
-
Denotes if the holding is active/inactive.
-
Optional UUID of a portfolio to add the holding to.
POST
/api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/holdings
curl \
--request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/holdings' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"fund_name":"My Fund","reference":"ABC12345","provider":"Financial Provider","sector":"Europe","sedol":"ABC12345","isin":"ABC12345","citi":"ABC12345","units":10.0,"unit_price":10000,"unit_price_raw":100.2334234,"purchase_price":5000,"currency":"GBP","is_active":true,"portfolio_uuid":"783b4093-c0fe-43e5-8c18-3662d491546d"}'
Request examples
{
"fund_name": "My Fund",
"reference": "ABC12345",
"provider": "Financial Provider",
"sector": "Europe",
"sedol": "ABC12345",
"isin": "ABC12345",
"citi": "ABC12345",
"units": 10.0,
"unit_price": 10000,
"unit_price_raw": 100.2334234,
"purchase_price": 5000,
"currency": "GBP",
"is_active": true,
"portfolio_uuid": "783b4093-c0fe-43e5-8c18-3662d491546d"
}
Response examples (200)
{
"uuid": "0dd01b70-ec6b-4f93-9cef-e9fd77ea9a0c",
"created_at": "2026-07-17T15:25:30+01:00",
"updated_at": "2026-07-17T15:25:30+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "e82e10b0-9936-4a83-98f0-98f86fa1b8bd",
"created_at": "2026-07-17T15:25:30+01:00",
"updated_at": "2026-07-17T15:25:30+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "8ee31a7c-45ea-4249-891f-dd9aa7d3e01d",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"valued_at": "2026-07-17T15:25:36+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "30b9cd34-c410-4e2d-86b2-f4eb75723795",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"is_proposed": true,
"proposed_at": "2026-07-17T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "2e68377d-9567-4f4f-bdd5-8605af0a44b0",
"created_at": "2026-07-17T15:25:30+01:00",
"updated_at": "2026-07-17T15:25:30+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
Response examples (409)
{
"uuid": "0dd01b70-ec6b-4f93-9cef-e9fd77ea9a0c",
"created_at": "2026-07-17T15:25:30+01:00",
"updated_at": "2026-07-17T15:25:30+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "e82e10b0-9936-4a83-98f0-98f86fa1b8bd",
"created_at": "2026-07-17T15:25:30+01:00",
"updated_at": "2026-07-17T15:25:30+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "8ee31a7c-45ea-4249-891f-dd9aa7d3e01d",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"valued_at": "2026-07-17T15:25:36+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "30b9cd34-c410-4e2d-86b2-f4eb75723795",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"is_proposed": true,
"proposed_at": "2026-07-17T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "2e68377d-9567-4f4f-bdd5-8605af0a44b0",
"created_at": "2026-07-17T15:25:30+01:00",
"updated_at": "2026-07-17T15:25:30+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}